#!/bin/bash

if [ -z $1 ];then
    echo $0 TELEFONTYP AUTHUSER AUTHPASSWORD LINEPORT CLID SERVER MAC
    exit;
fi 

if [ -z $7 ];then
    echo Keine Mac oder IP adresse angegeben!
    exit;
fi

TELEFON=$1
AUTHUSER=$2
AUTHPASSWORD=$3
LINEPORT=$4
CLID=$5
SERVER=$6
MAC=$7
CFG_BASE="/tftpdboot/users";
mkdir -p $CFG_BASE;
CFGOUT=$CFG_BASE/$MAC
TZONE="GER+1"

case $TELEFON in
        snom300)
        
  cat > $CFGOUT << EOT

<html>
<pre>



# example snom settings file 300

# After each setting (before the colon) you can set a flag, which means respectively:
# ! means writeable by the user, but will not overwrite existing 
# $ means writeable by the user, but will overwrite existing (available since version 4.2)
# & (or no flag) means read only, but will overwrite existing

# more settings can be found at the settings (dump) page of the phone's build in webinterface
 
 # Language and Time settings
  
  language$: Deutsch
  web_language$: English
  timezone$: $TZONE
  date_us_format&: off
  time_24_format&: on
  
  # First account
  
  user_pname1$: $AUTHUSER
  user_pass1$: $AUTHPASSWORD
  user_name1$: $AUTHUSER
  user_realname1$: $CLID
  user_host1$: $SERVER
  user_srtp1$: off
  # user_dp_str1$: !([^#]%2b)#!sip:\1@\d!d
  
  # Second account
  
  active_line$: 1
  
  # in order to perform automated updates, define the firmware setting file URL
  # where you specify the final firmware image URL
  firmware_status: http://prov.company.com/settings/firmware.htm
  
  #define also the update policy here
  # valid values are <auto_update>, <ask_for_update>, <never_update_firm>,
  # <never_update_boot>, <settings_only>
  update_policy: never_update_boot
  
  #define the firmware update interval here, amount in minutes, default is 1440 = 1 day
  #firmware_interval: 2880
  
</pre>
</html>

EOT
;;
	snom320)
  cat > $CFGOUT << EOT

<html>
<pre>

# example snom settings file 360

# After each setting (before the colon) you can set a flag, which means respectively:
# ! means writeable by the user, but will not overwrite existing 
# $ means writeable by the user, but will overwrite existing (available since version 4.2)
# & (or no flag) means read only, but will overwrite existing

# more settings can be found at the settings (dump) page of the phone's build in webinterface
 
 # Language and Time settings
  
  language$: Deutsch
  web_language$: English
  timezone$: $TZONE
  date_us_format&: off
  time_24_format&: on
  
  # First account
  
  user_pname1$: $AUTHUSER
  user_pass1$: $AUTHPASSWORD
  user_name1$: $AUTHUSER
  user_realname1$: $CLID
  user_host1$: $SERVER
  user_srtp1$: off
  # user_dp_str1$: !([^#]%2b)#!sip:\1@\d!d
  
  # Second account
  
  active_line$: 1
  
  # in order to perform automated updates, define the firmware setting file URL
  # where you specify the final firmware image URL
  firmware_status: http://prov.company.com/settings/firmware.htm
  
  #define also the update policy here
  # valid values are <auto_update>, <ask_for_update>, <never_update_firm>,
  # <never_update_boot>, <settings_only>
  update_policy: never_update_boot
  
  #define the firmware update interval here, amount in minutes, default is 1440 = 1 day
  #firmware_interval: 2880
  
</pre>
</html>

EOT

;;

	snom360)
  cat > $CFGOUT << EOT

<html>
<pre>

# example snom settings file 360

# After each setting (before the colon) you can set a flag, which means respectively:
# ! means writeable by the user, but will not overwrite existing 
# $ means writeable by the user, but will overwrite existing (available since version 4.2)
# & (or no flag) means read only, but will overwrite existing

# more settings can be found at the settings (dump) page of the phone's build in webinterface
 
 # Language and Time settings
  
  language$: Deutsch
  web_language$: English
  timezone$: $TZONE
  date_us_format&: off
  time_24_format&: on
  
  # First account
  
  user_pname1$: $AUTHUSER
  user_pass1$: $AUTHPASSWORD
  user_name1$: $AUTHUSER
  user_realname1$: $CLID
  user_host1$: $SERVER
  user_srtp1$: off
  # user_dp_str1$: !([^#]%2b)#!sip:\1@\d!d
  
  # Second account
  
  active_line$: 1
  
  # in order to perform automated updates, define the firmware setting file URL
  # where you specify the final firmware image URL
  firmware_status: http://prov.company.com/settings/firmware.htm
  
  #define also the update policy here
  # valid values are <auto_update>, <ask_for_update>, <never_update_firm>,
  # <never_update_boot>, <settings_only>
  update_policy: never_update_boot
  
  #define the firmware update interval here, amount in minutes, default is 1440 = 1 day
  #firmware_interval: 2880
  
</pre>
</html>

EOT

;;


esac

# reboot the phone
/usr/sbin/asterisk -rx "sip notify reboot-snom  $AUTHUSER ";
